POST /api/risk_score/engine/schedule_now

Spaces method and path for this operation:

post /s/{space_id}/api/risk_score/engine/schedule_now

Refer to Spaces for more information.

Schedule the risk scoring engine to run as soon as possible. You can use this to recalculate entity risk scores after updating their asset criticality.

application/json

Body

object object

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • success boolean
  • 400 application/json

    Task manager is unavailable

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required

      Minimum value is 400.

  • default application/json

    Unexpected error

    Hide response attributes Show response attributes object
    • full_error string Required
    • message string Required
POST /api/risk_score/engine/schedule_now
curl \
 --request POST 'https://<KIBANA_URL>/api/risk_score/engine/schedule_now' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"summary":"No request body","value":{}}'
Request example
{
  "summary": "No request body",
  "value": {}
}
Response examples (200)
{
  "success": true
}
Response examples (400)
{
  "message": "Task Manager is unavailable, but is required by the risk engine. Please enable the taskManager plugin and try again.",
  "status_code": 400
}
Response examples (default)
{
  "full_error": "{}",
  "message": "Internal server error"
}